public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/notus-scanner/
Date: Sat, 14 Sep 2024 10:09:32 +0000 (UTC)	[thread overview]
Message-ID: <1726307833.4c1126afa7fecfa93c933f4bb62879d2d6c70acb.flow@gentoo> (raw)

commit:     4c1126afa7fecfa93c933f4bb62879d2d6c70acb
Author:     Giuseppe Foti <foti.giuseppe <AT> gmail <DOT> com>
AuthorDate: Sat Sep  7 21:41:56 2024 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Sep 14 09:57:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c1126af

net-analyzer/notus-scanner: add 22.6.4

Signed-off-by: Giuseppe Foti <foti.giuseppe <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/38512
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-analyzer/notus-scanner/Manifest                |  1 +
 .../notus-scanner/notus-scanner-22.6.4.ebuild      | 91 ++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/net-analyzer/notus-scanner/Manifest b/net-analyzer/notus-scanner/Manifest
index 494907c14216..51eda960450e 100644
--- a/net-analyzer/notus-scanner/Manifest
+++ b/net-analyzer/notus-scanner/Manifest
@@ -1,2 +1,3 @@
 DIST notus-scanner-22.6.2.tar.gz 316406 BLAKE2B c24ec5e4fd9f8fc181145d64580d04f7045ccf1a7570f855f0a8a79bcea842fe7a73d91fadecd61c10b94cb3ee68ecae98b0f91b4059b84258765be98c95057f SHA512 ecbbb79950908641c2b83d379d141b189b8e0e27cac17753cbb381a5f4ebf28d7100f60bd24fc284c2681abc889f6fee36a64f469ac0b37323940eaeae7e7522
 DIST notus-scanner-22.6.3.tar.gz 293997 BLAKE2B 889416d2324088dc11f2df5146b3c88b276d1170552f55b2cb7ef49f4d8d855b98d6c0e53a1d49bd725b97b88c12df69a1997a38a614aa941dd699d0efb1de51 SHA512 fc3a05a3a9d61dd0b7a9913cfbbf507fec9dd3797a42a82283d14ab7fa8090fbc847487cf3a1d064f49572dda9acadba4bd7d30003fd32a179f572e327254546
+DIST notus-scanner-22.6.4.tar.gz 293607 BLAKE2B 75bdbd9d6247a2b9afaf7b049b8b80b2a44714ad4d6c951c9d14898c8bce319c39c4a19162fe1a380ef638164f025c210346ee5659ed1caefdb91bef2a0906d7 SHA512 5a3f23425a1945636c6fd9dd7b3ad39cf6f02920c33aaa35e3aa7ae1dfb8962d60f8e8519047e631c0e72a1a75c56ac5350c9dd291c20947fac2d4cdbb7f6387

diff --git a/net-analyzer/notus-scanner/notus-scanner-22.6.4.ebuild b/net-analyzer/notus-scanner/notus-scanner-22.6.4.ebuild
new file mode 100644
index 000000000000..43056ee11d51
--- /dev/null
+++ b/net-analyzer/notus-scanner/notus-scanner-22.6.4.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+DISTUTILS_USE_PEP517=poetry
+inherit distutils-r1 readme.gentoo-r1 systemd
+
+DESCRIPTION="Notus is a vulnerability scanner for creating results from local security checks"
+HOMEPAGE="https://github.com/greenbone/notus-scanner"
+SRC_URI="https://github.com/greenbone/notus-scanner/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3 AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	acct-user/gvm
+	net-libs/paho-mqtt-c
+	>=dev-python/psutil-6.0[${PYTHON_USEDEP}]
+	>=dev-python/python-gnupg-0.5.1[${PYTHON_USEDEP}]
+	<dev-python/packaging-24.2[${PYTHON_USEDEP}]
+	>=dev-python/paho-mqtt-1.5.1[${PYTHON_USEDEP}]
+	<dev-python/tomli-3[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+	${DEPEND}
+	app-misc/mosquitto
+"
+
+PATCHES=(
+	"${FILESDIR}"/notus-scanner-22.6.2-remove-tests.patch
+)
+
+DOC_CONTENTS="
+For validating the feed content, a GnuPG keychain with the Greenbone Community Feed integrity key needs to be created.
+Please, read here on how to create it:
+https://greenbone.github.io/docs/latest/22.4/source-build/index.html#feed-validation
+https://wiki.gentoo.org/wiki/Greenbone_Vulnerability_Management#Notus_Scanner
+
+To enable feed validation, edit /etc/gvm/${PN}.toml
+and set
+disable-hashsum-verification = false"
+DISABLE_AUTOFORMATTING=true
+
+distutils_enable_tests unittest
+
+python_compile() {
+	distutils-r1_python_compile
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	insinto /etc/gvm
+	use prefix || fowners -R gvm:gvm /etc/gvm
+	newins "${FILESDIR}/${PN}.toml" "${PN}.toml"
+	use prefix || fowners gvm:gvm "/etc/gvm/${PN}.toml"
+
+	# Set proper permissions on required files/directories
+	keepdir /var/lib/notus
+	keepdir /var/lib/notus/products
+	keepdir /var/lib/notus/advisories
+	if ! use prefix; then
+		fowners -R gvm:gvm /var/lib/notus
+	fi
+
+	# Adding notus-scanner.log to logrotate
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/${PN}.logrotate" "${PN}"
+
+	# Set proper permissions on required files/directories
+	keepdir /var/log/gvm
+	if ! use prefix; then
+		fowners -R gvm:gvm /var/log/gvm
+	fi
+
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+
+	systemd_dounit config/${PN}.service
+
+	systemd_install_serviced "${FILESDIR}/notus-scanner.service.conf" \
+			${PN}.service
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2024-09-14 10:09 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-14 10:09 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-15  8:38 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/notus-scanner/ Florian Schmaus
2024-07-23  3:55 Sam James
2024-07-09  7:04 Florian Schmaus
2024-06-28  1:00 Sam James
2024-06-06  6:56 Florian Schmaus
2024-04-03 17:38 Florian Schmaus
2024-02-28 20:50 Jakov Smolić
2023-10-07 15:11 Florian Schmaus
2023-08-09 13:32 Florian Schmaus
2023-07-03  8:37 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726307833.4c1126afa7fecfa93c933f4bb62879d2d6c70acb.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox